Package com.databricks.jdbc.model.client.thrift.generated

## Class TExecuteStatementReq

- java.lang.Object
- - com.databricks.jdbc.model.client.thrift.generated.TExecuteStatementReq

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TExecuteStatementReq>`, `org.apache.thrift.TBase<TExecuteStatementReq,​TExecuteStatementReq._Fields>`, `org.apache.thrift.TSerializable`

    @Generated(value="Autogenerated by Thrift Compiler (0.19.0)",
               date="2024-10-09")
    public class TExecuteStatementReq
    extends Object
    implements org.apache.thrift.TBase<TExecuteStatementReq,​TExecuteStatementReq._Fields>, Serializable, Cloneable, Comparable<TExecuteStatementReq>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TExecuteStatementReq._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`boolean` `canDecompressLZ4Result`
`boolean` `canDownloadResult`
`boolean` `canReadArrowResult`
`Map<String,​String>` `confOverlay`
`TSparkGetDirectResults` `getDirectResults`
`long` `maxBytesPerBatch`
`long` `maxBytesPerFile`
`static Map<TExecuteStatementReq._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`List<TSparkParameter>` `parameters`
`long` `queryTimeout`
`long` `resultRowLimit`
`boolean` `runAsync`
`TSessionHandle` `sessionHandle`
`String` `statement`
`TStatementConf` `statementConf`
`TSparkArrowTypes` `useArrowNativeTypes`

### Constructor Summary

Constructors
`TExecuteStatementReq()`
`TExecuteStatementReq​(TExecuteStatementReq other)` Performs a deep copy on other.
`TExecuteStatementReq​(TSessionHandle sessionHandle, String statement)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToParameters​(TSparkParameter elem)`
`void` `clear()`
`int` `compareTo​(TExecuteStatementReq other)`
`TExecuteStatementReq` `deepCopy()`
`boolean` `equals​(TExecuteStatementReq that)`
`boolean` `equals​(Object that)`
`TExecuteStatementReq._Fields` `fieldForId​(int fieldId)`
`Map<String,​String>` `getConfOverlay()`
`int` `getConfOverlaySize()`
`Object` `getFieldValue​(TExecuteStatementReq._Fields field)`
`TSparkGetDirectResults` `getGetDirectResults()`
`long` `getMaxBytesPerBatch()`
`long` `getMaxBytesPerFile()`
`List<TSparkParameter>` `getParameters()`
`Iterator<TSparkParameter>` `getParametersIterator()`
`int` `getParametersSize()`
`long` `getQueryTimeout()`
`long` `getResultRowLimit()`
`TSessionHandle` `getSessionHandle()`
`String` `getStatement()`
`TStatementConf` `getStatementConf()`
`TSparkArrowTypes` `getUseArrowNativeTypes()`
`int` `hashCode()`
`boolean` `isCanDecompressLZ4Result()`
`boolean` `isCanDownloadResult()`
`boolean` `isCanReadArrowResult()`
`boolean` `isRunAsync()`
`boolean` `isSet​(TExecuteStatementReq._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetCanDecompressLZ4Result()` Returns true if field canDecompressLZ4Result is set (has been assigned a value) and false otherwise
`boolean` `isSetCanDownloadResult()` Returns true if field canDownloadResult is set (has been assigned a value) and false otherwise
`boolean` `isSetCanReadArrowResult()` Returns true if field canReadArrowResult is set (has been assigned a value) and false otherwise
`boolean` `isSetConfOverlay()` Returns true if field confOverlay is set (has been assigned a value) and false otherwise
`boolean` `isSetGetDirectResults()` Returns true if field getDirectResults is set (has been assigned a value) and false otherwise
`boolean` `isSetMaxBytesPerBatch()` Returns true if field maxBytesPerBatch is set (has been assigned a value) and false otherwise
`boolean` `isSetMaxBytesPerFile()` Returns true if field maxBytesPerFile is set (has been assigned a value) and false otherwise
`boolean` `isSetParameters()` Returns true if field parameters is set (has been assigned a value) and false otherwise
`boolean` `isSetQueryTimeout()` Returns true if field queryTimeout is set (has been assigned a value) and false otherwise
`boolean` `isSetResultRowLimit()` Returns true if field resultRowLimit is set (has been assigned a value) and false otherwise
`boolean` `isSetRunAsync()` Returns true if field runAsync is set (has been assigned a value) and false otherwise
`boolean` `isSetSessionHandle()` Returns true if field sessionHandle is set (has been assigned a value) and false otherwise
`boolean` `isSetStatement()` Returns true if field statement is set (has been assigned a value) and false otherwise
`boolean` `isSetStatementConf()` Returns true if field statementConf is set (has been assigned a value) and false otherwise
`boolean` `isSetUseArrowNativeTypes()` Returns true if field useArrowNativeTypes is set (has been assigned a value) and false otherwise
`void` `putToConfOverlay​(String key, String val)`
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TExecuteStatementReq` `setCanDecompressLZ4Result​(boolean canDecompressLZ4Result)`
`void` `setCanDecompressLZ4ResultIsSet​(boolean value)`
`TExecuteStatementReq` `setCanDownloadResult​(boolean canDownloadResult)`
`void` `setCanDownloadResultIsSet​(boolean value)`
`TExecuteStatementReq` `setCanReadArrowResult​(boolean canReadArrowResult)`
`void` `setCanReadArrowResultIsSet​(boolean value)`
`TExecuteStatementReq` `setConfOverlay​(Map<String,​String> confOverlay)`
`void` `setConfOverlayIsSet​(boolean value)`
`void` `setFieldValue​(TExecuteStatementReq._Fields field, Object value)`
`TExecuteStatementReq` `setGetDirectResults​(TSparkGetDirectResults getDirectResults)`
`void` `setGetDirectResultsIsSet​(boolean value)`
`TExecuteStatementReq` `setMaxBytesPerBatch​(long maxBytesPerBatch)`
`void` `setMaxBytesPerBatchIsSet​(boolean value)`
`TExecuteStatementReq` `setMaxBytesPerFile​(long maxBytesPerFile)`
`void` `setMaxBytesPerFileIsSet​(boolean value)`
`TExecuteStatementReq` `setParameters​(List<TSparkParameter> parameters)`
`void` `setParametersIsSet​(boolean value)`
`TExecuteStatementReq` `setQueryTimeout​(long queryTimeout)`
`void` `setQueryTimeoutIsSet​(boolean value)`
`TExecuteStatementReq` `setResultRowLimit​(long resultRowLimit)`
`void` `setResultRowLimitIsSet​(boolean value)`
`TExecuteStatementReq` `setRunAsync​(boolean runAsync)`
`void` `setRunAsyncIsSet​(boolean value)`
`TExecuteStatementReq` `setSessionHandle​(TSessionHandle sessionHandle)`
`void` `setSessionHandleIsSet​(boolean value)`
`TExecuteStatementReq` `setStatement​(String statement)`
`TExecuteStatementReq` `setStatementConf​(TStatementConf statementConf)`
`void` `setStatementConfIsSet​(boolean value)`
`void` `setStatementIsSet​(boolean value)`
`TExecuteStatementReq` `setUseArrowNativeTypes​(TSparkArrowTypes useArrowNativeTypes)`
`void` `setUseArrowNativeTypesIsSet​(boolean value)`
`String` `toString()`
`void` `unsetCanDecompressLZ4Result()`
`void` `unsetCanDownloadResult()`
`void` `unsetCanReadArrowResult()`
`void` `unsetConfOverlay()`
`void` `unsetGetDirectResults()`
`void` `unsetMaxBytesPerBatch()`
`void` `unsetMaxBytesPerFile()`
`void` `unsetParameters()`
`void` `unsetQueryTimeout()`
`void` `unsetResultRowLimit()`
`void` `unsetRunAsync()`
`void` `unsetSessionHandle()`
`void` `unsetStatement()`
`void` `unsetStatementConf()`
`void` `unsetUseArrowNativeTypes()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### sessionHandle

    public TSessionHandle sessionHandle

#### statement

    public String statement

#### confOverlay

    public Map<String,​String> confOverlay

#### runAsync

    public boolean runAsync

#### getDirectResults

    public TSparkGetDirectResults getDirectResults

#### queryTimeout

    public long queryTimeout

#### canReadArrowResult

    public boolean canReadArrowResult

#### canDownloadResult

    public boolean canDownloadResult

#### canDecompressLZ4Result

    public boolean canDecompressLZ4Result

#### maxBytesPerFile

    public long maxBytesPerFile

#### useArrowNativeTypes

    public TSparkArrowTypes useArrowNativeTypes

#### resultRowLimit

    public long resultRowLimit

#### parameters

    public List<TSparkParameter> parameters

#### maxBytesPerBatch

    public long maxBytesPerBatch

#### statementConf

    public TStatementConf statementConf

#### metaDataMap

    public static final Map<TExecuteStatementReq._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TExecuteStatementReq

    public TExecuteStatementReq()

#### TExecuteStatementReq

    public TExecuteStatementReq​(TSessionHandle sessionHandle,
                                String statement)

#### TExecuteStatementReq

    public TExecuteStatementReq​(TExecuteStatementReq other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TExecuteStatementReq deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TExecuteStatementReq,​TExecuteStatementReq._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TExecuteStatementReq,​TExecuteStatementReq._Fields>`

#### getSessionHandle

    public TSessionHandle getSessionHandle()

#### setSessionHandle

    public TExecuteStatementReq setSessionHandle​(TSessionHandle sessionHandle)

#### unsetSessionHandle

    public void unsetSessionHandle()

#### isSetSessionHandle

    public boolean isSetSessionHandle()

Returns true if field sessionHandle is set (has been assigned a value) and false otherwise

#### setSessionHandleIsSet

    public void setSessionHandleIsSet​(boolean value)

#### getStatement

    public String getStatement()

#### setStatement

    public TExecuteStatementReq setStatement​(String statement)

#### unsetStatement

    public void unsetStatement()

#### isSetStatement

    public boolean isSetStatement()

Returns true if field statement is set (has been assigned a value) and false otherwise

#### setStatementIsSet

    public void setStatementIsSet​(boolean value)

#### getConfOverlaySize

    public int getConfOverlaySize()

#### putToConfOverlay

    public void putToConfOverlay​(String key,
                                 String val)

#### getConfOverlay

    public Map<String,​String> getConfOverlay()

#### setConfOverlay

    public TExecuteStatementReq setConfOverlay​(Map<String,​String> confOverlay)

#### unsetConfOverlay

    public void unsetConfOverlay()

#### isSetConfOverlay

    public boolean isSetConfOverlay()

Returns true if field confOverlay is set (has been assigned a value) and false otherwise

#### setConfOverlayIsSet

    public void setConfOverlayIsSet​(boolean value)

#### isRunAsync

    public boolean isRunAsync()

#### setRunAsync

    public TExecuteStatementReq setRunAsync​(boolean runAsync)

#### unsetRunAsync

    public void unsetRunAsync()

#### isSetRunAsync

    public boolean isSetRunAsync()

Returns true if field runAsync is set (has been assigned a value) and false otherwise

#### setRunAsyncIsSet

    public void setRunAsyncIsSet​(boolean value)

#### getGetDirectResults

    public TSparkGetDirectResults getGetDirectResults()

#### setGetDirectResults

    public TExecuteStatementReq setGetDirectResults​(TSparkGetDirectResults getDirectResults)

#### unsetGetDirectResults

    public void unsetGetDirectResults()

#### isSetGetDirectResults

    public boolean isSetGetDirectResults()

Returns true if field getDirectResults is set (has been assigned a value) and false otherwise

#### setGetDirectResultsIsSet

    public void setGetDirectResultsIsSet​(boolean value)

#### getQueryTimeout

    public long getQueryTimeout()

#### setQueryTimeout

    public TExecuteStatementReq setQueryTimeout​(long queryTimeout)

#### unsetQueryTimeout

    public void unsetQueryTimeout()

#### isSetQueryTimeout

    public boolean isSetQueryTimeout()

Returns true if field queryTimeout is set (has been assigned a value) and false otherwise

#### setQueryTimeoutIsSet

    public void setQueryTimeoutIsSet​(boolean value)

#### isCanReadArrowResult

    public boolean isCanReadArrowResult()

#### setCanReadArrowResult

    public TExecuteStatementReq setCanReadArrowResult​(boolean canReadArrowResult)

#### unsetCanReadArrowResult

    public void unsetCanReadArrowResult()

#### isSetCanReadArrowResult

    public boolean isSetCanReadArrowResult()

Returns true if field canReadArrowResult is set (has been assigned a value) and false otherwise

#### setCanReadArrowResultIsSet

    public void setCanReadArrowResultIsSet​(boolean value)

#### isCanDownloadResult

    public boolean isCanDownloadResult()

#### setCanDownloadResult

    public TExecuteStatementReq setCanDownloadResult​(boolean canDownloadResult)

#### unsetCanDownloadResult

    public void unsetCanDownloadResult()

#### isSetCanDownloadResult

    public boolean isSetCanDownloadResult()

Returns true if field canDownloadResult is set (has been assigned a value) and false otherwise

#### setCanDownloadResultIsSet

    public void setCanDownloadResultIsSet​(boolean value)

#### isCanDecompressLZ4Result

    public boolean isCanDecompressLZ4Result()

#### setCanDecompressLZ4Result

    public TExecuteStatementReq setCanDecompressLZ4Result​(boolean canDecompressLZ4Result)

#### unsetCanDecompressLZ4Result

    public void unsetCanDecompressLZ4Result()

#### isSetCanDecompressLZ4Result

    public boolean isSetCanDecompressLZ4Result()

Returns true if field canDecompressLZ4Result is set (has been assigned a value) and false otherwise

#### setCanDecompressLZ4ResultIsSet

    public void setCanDecompressLZ4ResultIsSet​(boolean value)

#### getMaxBytesPerFile

    public long getMaxBytesPerFile()

#### setMaxBytesPerFile

    public TExecuteStatementReq setMaxBytesPerFile​(long maxBytesPerFile)

#### unsetMaxBytesPerFile

    public void unsetMaxBytesPerFile()

#### isSetMaxBytesPerFile

    public boolean isSetMaxBytesPerFile()

Returns true if field maxBytesPerFile is set (has been assigned a value) and false otherwise

#### setMaxBytesPerFileIsSet

    public void setMaxBytesPerFileIsSet​(boolean value)

#### getUseArrowNativeTypes

    public TSparkArrowTypes getUseArrowNativeTypes()

#### setUseArrowNativeTypes

    public TExecuteStatementReq setUseArrowNativeTypes​(TSparkArrowTypes useArrowNativeTypes)

#### unsetUseArrowNativeTypes

    public void unsetUseArrowNativeTypes()

#### isSetUseArrowNativeTypes

    public boolean isSetUseArrowNativeTypes()

Returns true if field useArrowNativeTypes is set (has been assigned a value) and false otherwise

#### setUseArrowNativeTypesIsSet

    public void setUseArrowNativeTypesIsSet​(boolean value)

#### getResultRowLimit

    public long getResultRowLimit()

#### setResultRowLimit

    public TExecuteStatementReq setResultRowLimit​(long resultRowLimit)

#### unsetResultRowLimit

    public void unsetResultRowLimit()

#### isSetResultRowLimit

    public boolean isSetResultRowLimit()

Returns true if field resultRowLimit is set (has been assigned a value) and false otherwise

#### setResultRowLimitIsSet

    public void setResultRowLimitIsSet​(boolean value)

#### getParametersSize

    public int getParametersSize()

#### getParametersIterator

    public Iterator<TSparkParameter> getParametersIterator()

#### addToParameters

    public void addToParameters​(TSparkParameter elem)

#### getParameters

    public List<TSparkParameter> getParameters()

#### setParameters

    public TExecuteStatementReq setParameters​(List<TSparkParameter> parameters)

#### unsetParameters

    public void unsetParameters()

#### isSetParameters

    public boolean isSetParameters()

Returns true if field parameters is set (has been assigned a value) and false otherwise

#### setParametersIsSet

    public void setParametersIsSet​(boolean value)

#### getMaxBytesPerBatch

    public long getMaxBytesPerBatch()

#### setMaxBytesPerBatch

    public TExecuteStatementReq setMaxBytesPerBatch​(long maxBytesPerBatch)

#### unsetMaxBytesPerBatch

    public void unsetMaxBytesPerBatch()

#### isSetMaxBytesPerBatch

    public boolean isSetMaxBytesPerBatch()

Returns true if field maxBytesPerBatch is set (has been assigned a value) and false otherwise

#### setMaxBytesPerBatchIsSet

    public void setMaxBytesPerBatchIsSet​(boolean value)

#### getStatementConf

    public TStatementConf getStatementConf()

#### setStatementConf

    public TExecuteStatementReq setStatementConf​(TStatementConf statementConf)

#### unsetStatementConf

    public void unsetStatementConf()

#### isSetStatementConf

    public boolean isSetStatementConf()

Returns true if field statementConf is set (has been assigned a value) and false otherwise

#### setStatementConfIsSet

    public void setStatementConfIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TExecuteStatementReq._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TExecuteStatementReq,​TExecuteStatementReq._Fields>`

#### getFieldValue

    public Object getFieldValue​(TExecuteStatementReq._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TExecuteStatementReq,​TExecuteStatementReq._Fields>`

#### isSet

    public boolean isSet​(TExecuteStatementReq._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TExecuteStatementReq,​TExecuteStatementReq._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TExecuteStatementReq that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TExecuteStatementReq other)

Specified by:
  `compareTo` in interface `Comparable<TExecuteStatementReq>`

#### fieldForId

    public TExecuteStatementReq._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TExecuteStatementReq,​TExecuteStatementReq._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`